package com.yd.dal.mapper.meta;

import com.yd.dal.entity.meta.MdTagNew;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface MdTagNewMapper {
    int deleteByPrimaryKey(Long id);

    int insert(MdTagNew record);

    int insertSelective(MdTagNew record);

    MdTagNew selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(MdTagNew record);

    int updateByPrimaryKey(MdTagNew record);

    int updateBatch(List<MdTagNew> list);

    int updateBatchSelective(List<MdTagNew> list);

    int batchInsert(@Param("list") List<MdTagNew> list);

    List<MdTagNew> selectByIsActive(@Param("isActive")Long isActive,@Param("configLevel")Long configLevel,@Param("upperTagId")Long upperTagId,@Param("tagName")String tagName);
}